Package org.eclipse.microprofile.openapi.annotations.security

# Annotation Type OAuthFlows

@Target({}) @Retention(RUNTIME) @Inherited public @interface OAuthFlows
Allows configuration of the supported OAuth Flows.

See Also:
  - OAuthFlows Object

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`OAuthFlow`
`authorizationCode`
Configuration for the OAuth Authorization Code flow.
`OAuthFlow`
`clientCredentials`
Configuration for the OAuth Client Credentials flow.
`Extension[]`
`extensions`
List of extensions to be added to the `OAuthFlows` model corresponding to the containing annotation.
`OAuthFlow`
`implicit`
Configuration for the OAuth Implicit flow.
`OAuthFlow`
`password`
Configuration for the OAuth Resource Owner Password flow.

## Element Details

### implicit

OAuthFlow implicit
Configuration for the OAuth Implicit flow.

Returns:
  implicit OAuth flow

Default:
  @org.eclipse.microprofile.openapi.annotations.security.OAuthFlow

### password

OAuthFlow password
Configuration for the OAuth Resource Owner Password flow.

Returns:
  OAuth Resource Owner Password flow

Default:
  @org.eclipse.microprofile.openapi.annotations.security.OAuthFlow

### clientCredentials

OAuthFlow clientCredentials
Configuration for the OAuth Client Credentials flow.

Returns:
  OAuth Client Credentials flow

Default:
  @org.eclipse.microprofile.openapi.annotations.security.OAuthFlow

### authorizationCode

OAuthFlow authorizationCode
Configuration for the OAuth Authorization Code flow.

Returns:
  OAuth Authorization Code flow

Default:
  @org.eclipse.microprofile.openapi.annotations.security.OAuthFlow

### extensions

Extension[] extensions
List of extensions to be added to the `OAuthFlows` model corresponding to the containing annotation.

Returns:
  array of extensions
Since:
  3.1

Default:
  {}